* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Poppins-regular';
    src: url(./Fonts/Poppins-Regular.ttf);
}

:root{
    --primarytext-color: rgb(114, 168, 190);
    --subtext-color: rgba(143, 184, 195, 1);
    --background-color: rgba(16, 25, 32, 1);
    --headeractive-text: rgba(238, 204, 109, 1);
    --headernonactive-text: rgb(114, 168, 190);
    --headerbg: rgba(16, 25, 32, 1);
    --projectcardbg: rgba(16, 25, 32, 0.6);
    --transition-duration: 0.5s;
    --scale: 1;
    --scale-hover: 1.1;
    --spacing-unit: 20px;
    --font-size-base: 20px;
    --font-size-heading: 30px;
    --font-weight-regular: 300;
    --font-weight-bold: 700;
    --font-family: 'Poppins-regular', sans-serif;

}

.active {
    color: var(--headeractive-text);
}

nav ul {
    list-style: none;
    display: flex;
    gap: var(--spacing-unit);
    flex-wrap: wrap;
}

nav ul li a {
    display: inline-block;
    text-decoration: none;
    font-weight: var(--font-weight-bold);
    color: var(--headernonactive-text);
    transition: color var(--transition-duration) ease, transform var(--transition-duration)ease;
    font-family: var(--font-family);

}

nav ul li a:hover {
    color: var(--headeractive-text);
    transform: scale(var(--scale-hover));
}

header {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: var(--spacing-unit);
    width: 100%;
}

.leftcontainer {
    height: 500px;
    width: 260px;
    /* Set the width of the sidebar */
    position: fixed;
    /* Fixed Sidebar (stay in place on scroll) */
    z-index: 1;
    /* Stay on top */
    top: 0;
    /* Stay at the top */
    left: 0;
    overflow-x: hidden;
    /* Disable horizontal scroll */
    padding-top: 110px;
    margin-left: 70px;
}

h1 {
    margin-top: var(--spacing-unit);
    font-size: var(--font-size-heading);
    color: var(--headernonactive-text);
    font-family: var(--font-family);
    font-size: 4em;
    padding-bottom: 20px;
}

a,
h2 {
    text-decoration: none;
    color: var(--primarytext-color);
    font-family: var(--font-family);
    font-size: 1em;
}

li {
    padding: 10px;
}

a,
h3 {
    text-decoration: none;
    color: var(--primarytext-color);
    font-family: var(--font-family);
    font-size: 1.1em;
    text-align: center;
    padding-top: 5px;
}


.gridcontainer {
    display: grid;
    grid-template-columns: 250px 250px 250px;
    justify-content: space-evenly;
    align-content: center;
    margin-left: 280px;
    margin-top: 50px;
}

.project-cards {
    padding: 10px;
}

.project-cards img {
    width: 250px;
    height: 250px;
    object-fit: cover;
    object-position: center;
    align-content: center;
    justify-content: space-evenly;
    filter: grayscale(100%);
    transition: transform .4s;
}

img:hover {
    filter: none;
    transition: 0.5s;
    transform: scale(1.05);
    box-shadow: 6px 6px rgba(16, 25, 32, 1);
}


.gradientcontainer {
    height: 150vh;
    width: 100vw;
    position: absolute;
    margin: auto;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    overflow: hidden;
    z-index: -1;
    --background-color: rgba(16, 25, 32, 1);

}

.gradientcontainer div {
    --background-color: rgba(16, 25, 32, 1);
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    animation: gradient 3s infinite;
}

@keyframes gradient {
    50% {
        transform: scale(1.2) translate(50px);
    }
}

.gradientcontainer div:nth-child(1) {
    height: 90%;
    width: 80%;
    background-color: #020305;
    left: -29%;
    top: -10%;
    animation-delay: 1.5s;

}

.gradientcontainer div:nth-child(2) {
    height: 80%;
    width: 70%;
    background-color: #090d1f;
    left: -12%;
    top: 62%;
    animation-delay: 2s;
}

.gradientcontainer div:nth-child(3) {
    height: 65%;
    width: 80%;
    background-color: #02081a;
    left: -15%;
    top: -20%;
    animation-delay: 0.3s;
}

.gradientcontainer div:nth-child(4) {
    height: 40%;
    width: 75%;
    background-color: #090d1f;
    left: -10%;
    top: -12%;
    animation-delay: 1.2s;
}

.gradientcontainer div:nth-child(5) {
    height: 100%;
    width: 45%;
    background-color: #4a5685;
    left: 50%;
    right: 80%;
    top: -10%;
    animation-delay: 3.5s;
}

.gradientcontainer div:nth-child(6) {
    height: 90%;
    width: 90%;
    background-color: #09313d;
    left: 10%;
    top: 45%;
    animation-delay: 1s;
}

.gradientcontainer::after {
    position: absolute;
    content: "";
    height: 100%;
    width: 100%;
    backdrop-filter: blur(80px);
}

.gradientcontainer div:nth-child(7) {
    height: 60%;
    width: 55%;
    background-color: #090d1f;
    left: 50%;
    top: -10%;
    animation-delay: 0.5s;
}

@media screen and (max-width: 1200px) {
    h1 {
        font-size: 3.6em;
    }

    .leftcontainer {
        width: 230px;
        margin-left: 40px;
    }

    .gridcontainer {
        margin-right: 20px;
    }
}

@media screen and (max-width: 1049px) {
    .gridcontainer {
        grid-template-columns: repeat(2, 1fr);
        margin-right: 20px;
        justify-content: center;
        text-align: center;
    }

    .leftcontainer {
        width: 180px;
        margin-left: 30px;
    }

    h1 {
        font-size: 2.8em;
    }

    nav ul {
        align-items: center;
        gap: 10px;
    }

    header {
        justify-content: center;
    }

    .gradientcontainer {
        height: 250vh;
    }

    .gradientcontainer div:nth-child(3) {
        height: 65%;
        width: 80%;
        background-color: #0c0d11;
        left: -15%;
        top: -20%;
        animation-delay: 0.3s;
    }

}

@media screen and (max-width: 790px) {
    header {
        justify-content: center;
    }

    .leftcontainer {
        width: 25vw;
        position: fixed;
        margin-left: 20px;
        margin-top: 70px;
        padding-top: 70px;
    }

    .gridcontainer {
        grid-template-columns: repeat(2, 1fr);
        padding: 20px;
        margin-left: 170px;
        margin-top: 30px;
    }

    .project-cards img {
        width: 200px;
        height: 200px;
        object-fit: cover;
        object-position: center;
        align-content: center;
        justify-content: space-evenly;
        filter: grayscale(100%);
        transition: transform .4s;
    }

    h1 {
        font-size: 2.5em;
    }

    nav ul {
        flex-direction: row;
        align-items: center;
        gap: 10px;
    }

    .gradientcontainer {
        height: 250vh;
        width: 100%;
    }
}

@media screen and (max-width: 639px) {
    .leftcontainer {
        width: 25vw;
        position: fixed;
        margin-left: 20px;
        margin-top: 70px;
        padding-top: 70px;
    }

    h1 {
        font-size: 2.3em;
    }

    .leftcontainer li {
        font-size: 1em;
    }
}

@media screen and (max-width: 610px) {
    .gridcontainer {
        grid-template-columns: 1fr;
        margin-left: 0;
        padding-left: 100px;
        justify-items: right;
        padding-right: 30px;
    }

    .project-cards img {
        width: 230px;
        height: 230px;
        object-fit: cover;
        object-position: center;
        align-content: center;
        filter: grayscale(100%);
        transition: transform .4s;
    }

    .leftcontainer {
        width: 30vw;
        position: fixed;
        margin-left: 40px;
        margin-top: 50px;
        padding-top: 60px;
    }

    .gradientcontainer {
        height: 500vh;
        width: 100%;
    }
}

@media screen and (max-width: 488px) {
    .gridcontainer {
        padding: 0;
        margin: auto;
        justify-items: center;
    }

    header {
        justify-content: center;
        padding: 10px;
    }

    nav ul {
        font-size: 0.875em;
        justify-content: space-evenly;
        gap: 0;
    }

    .leftcontainer {
        position: inherit;
        width: 100%;
        height: auto;
        margin: 0;
        padding-bottom: 10px;
        padding-top: 10px;
        text-align: center;
    }

    .gradientcontainer {
        height: 540vh;
        width: 100%;
    }
}

@media screen and (max-width: 320px) {
    .gridcontainer {
        padding: 0;
        margin: auto;
        justify-items: center;
    }

    header {
        justify-content: center;
        padding: 10px;
    }

    nav ul {
        font-size: 0.875em;
        justify-content: space-evenly;
        gap: 0;
    }

    .leftcontainer {
        position: inherit;
        width: 100%;
        height: auto;
        margin: 0;
        padding-bottom: 10px;
        padding-top: 10px;
        text-align: center;
    }

    .gradientcontainer {
        height: 540vh;
        width: 100%;
    }

}